Package com.opensymphony.sitemesh.compatability

# Class DecoratorMapper2DecoratorSelector

java.lang.Object
com.opensymphony.sitemesh.compatability.DecoratorMapper2DecoratorSelector

All Implemented Interfaces:
  `DecoratorSelector`

public class DecoratorMapper2DecoratorSelector extends Object implements DecoratorSelector
Adapts a SiteMesh 2 `DecoratorMapper` to a SiteMesh 2 `DecoratorSelector`.

Since:
  SiteMesh 3
Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private final DecoratorMapper`
`decoratorMapper`

## Constructor Summary

Constructors
Constructor
Description
`DecoratorMapper2DecoratorSelector(DecoratorMapper decoratorMapper)`

## Method Summary

Modifier and Type
Method
Description
`Decorator`
`selectDecorator(Content content, SiteMeshContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### decoratorMapper

private final DecoratorMapper decoratorMapper

## Constructor Details

### DecoratorMapper2DecoratorSelector

public DecoratorMapper2DecoratorSelector(DecoratorMapper decoratorMapper)

## Method Details

### selectDecorator

public Decorator selectDecorator(Content content, SiteMeshContext context)

Specified by:
  `selectDecorator` in interface `DecoratorSelector`